Subject: [I18n-discuss] Meetup on Internationalization Deployment Issues at IETF98?

From: <[email-masked]>
Date: Wed, 8 Feb 2017 20:08:23 +0000 (UTC)

Hello All,

I wonder if we should do an informal Meetup for Internationalization Deployment as we did at IETF97?   Below are the minutes from the meeting for those who may not have gotten them previously.

Harish & I will also update our draft: https://tools.ietf.org/html/draft-elkchow-iea-deploy-00.

Another thing I wanted to do was to start keeping track, informally, of known problems.   I have started a MindMap of these so we can categorize.

Thoughts?

--------------------
Summary of IETF97

Attendees:  participants with affilications with ICANN, ISOC, UASG as well as IETF were present.   Some participants were from the governments of India and Thailand.

Overview and Motivation

- EAI and IDN are related issues.  It is difficult to discuss them in isolation.   

- There was a need seen, at least by the people in the room, from India and Thailand for EAI / IDN support.   There is undoubtedly a need from many
  others who were not present in the room.

- The discussion of EAI / IDN deployment is a multi-stakeholder activity.   People need to be involved from: IETF, ISOC, UASG, and ICANN (please let me
know if I have left out anyone else).   Probably Unicode Consortium needs to be involved.

So, we propose to do the following:

1.  Specify requirements as accurately as we can

2.  Collect all known problems in deployment

3.  Categorize them

4.  Discuss each set of problems in the appropriate forum, whatever that ends up being.

5.  Harish and Nalini have started an I-D (https://tools.ietf.org/html/draft-elkchow-iea-deploy-00).  This can be a place where we consolidate our activities.

Technical issues:
-----------------

1.  Browser Support: Some feel that there is a problem with browser support.  Others feel differently.  We need to elaborate on this to
find where we are.

2.  Migration paths / interoperability: There are some issues not covered by the RFCs which are being faced in implementation of EAI.  A common approach to these would be useful.

For example:

- Normalisation rules

- How to deal with non-SMTPUTF8 compatible receiving servers.

3.  Changes to protocols: we need more collective experience in EAI deployment to determine that there are problems with the protocols.  

4.  x509 Certificate issues: support for IDNA in digital support is an issue (this was brought up by the Government of Thailand)

Organizational Issues
---------------------

1.  ISOC: The ISOC Deploy360 program is about infrastructure and is targeted at network operators.  EAI deployment is not mature enough to be a part of Deploy360.
But, there are several methods by which ISOC can raise attention, point to work that others have been doing, and perhaps coordinate, convene or play another role.
The ISOC chapters are also a channel for sharing information about EAI & UA.

2.  IETF: There are existing groups where IDNA, homograph (and other security) attacks can be discussed.   Down the road, something like a "Best Practices for 
Interoperability / Backward Compatibility" document may need to be written.

3.  ICANN/ UASG:  This is what the UASG is doing:

- We’ve created a mailing list of EAI practitioners ([email-masked]).  The only folks that we think should be there who we have still have not recruited are from Yahoo.   
Part of the purpose of this list is to allow people to contact one another to get some test accounts so that inter-operability testing can occur.

- Developing a Quick Guide to EAI.  The target audience is niche developers of email software.  Clients, servers, mailboxes, utilities.  This is out for review.

- Developing a Comprehensive Guide to EAI - similar to our Introduction to Universal Acceptance (EN Introduction to Universal Acceptance (English)).  
This will include a detailed troubleshooting guide and inter-operability testing guide.  We are currently recruiting for a technical writer for this document.  
The Help Wanted ad for this is at Help Wanted: Technical Writer EAI

- Evaluating the current state of EAI deployment of major email software and service providers.  The Help Wanted ad for this is currently out and
available at Help Wanted: Evaluation for EAI Readiness

- Planning a gathering of EAI practitioners in Seattle the 2nd week of April.  This will include a `Bug Bash` interoperability session.

- We have offered all known operators or developers of EAI systems to have us include them in a public list on the UASG website.  So far we have had only one willing to be listed publicly.

4.  IETF: we currently have no home for this work.  Some feel that the IMA list which we were using should be reserved for new protocol work.

Thanks,

Nalini Elkins
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360